"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.defaultYfmHtmlBlockEntityId = exports.YfmHtmlBlockConsts = exports.YfmHtmlBlockAction = exports.yfmHtmlBlockNodeType = exports.yfmHtmlBlockNodeName = exports.YfmHtmlBlockAttrs = void 0;
const entity_id_1 = require("../../../../utils/entity-id.js");
const schema_1 = require("../../../../utils/schema.js");
var YfmHtmlBlockAttrs;
(function (YfmHtmlBlockAttrs) {
    // @ts-expect-error error TS18055
    YfmHtmlBlockAttrs["EntityId"] = "data-entity-id";
    YfmHtmlBlockAttrs["class"] = "class";
    YfmHtmlBlockAttrs["frameborder"] = "frameborder";
    // MAJOR: remove before next major
    /** @deprecated This is no longer used. Removed in next major version */
    YfmHtmlBlockAttrs["newCreated"] = "newCreated";
    YfmHtmlBlockAttrs["srcdoc"] = "srcdoc";
    YfmHtmlBlockAttrs["style"] = "style";
})(YfmHtmlBlockAttrs || (exports.YfmHtmlBlockAttrs = YfmHtmlBlockAttrs = {}));
exports.yfmHtmlBlockNodeName = 'yfm_html_block';
exports.yfmHtmlBlockNodeType = (0, schema_1.nodeTypeFactory)(exports.yfmHtmlBlockNodeName);
exports.YfmHtmlBlockAction = 'createYfmHtmlBlock';
exports.YfmHtmlBlockConsts = {
    NodeName: exports.yfmHtmlBlockNodeName,
    NodeAttrs: YfmHtmlBlockAttrs,
    nodeType: exports.yfmHtmlBlockNodeType,
};
exports.defaultYfmHtmlBlockEntityId = exports.yfmHtmlBlockNodeName + '#0';
//# sourceMappingURL=const.js.map
