import { entityIdAttr } from "../../../../utils/entity-id.js";
import { nodeTypeFactory } from "../../../../utils/schema.js";
export var MermaidAttrs;
(function (MermaidAttrs) {
    // @ts-expect-error error TS18055
    MermaidAttrs["EntityId"] = "data-entity-id";
    MermaidAttrs["content"] = "content";
    MermaidAttrs["class"] = "class";
    // MAJOR: remove before next major
    /** @deprecated This is no longer used. Removed in next major version */
    MermaidAttrs["newCreated"] = "newCreated";
})(MermaidAttrs || (MermaidAttrs = {}));
export const mermaidNodeName = 'mermaid';
export const mermaidNodeType = nodeTypeFactory(mermaidNodeName);
export const MermaidAction = 'createMermaid';
export const MermaidConsts = {
    NodeName: mermaidNodeName,
    NodeAttrs: MermaidAttrs,
    nodeType: mermaidNodeType,
};
export const defaultMermaidEntityId = mermaidNodeName + '#0';
//# sourceMappingURL=const.js.map
