import type { Node } from "../pm/model.js";
export declare const entityIdAttr = "data-entity-id";
export declare function generateEntityId(name?: string): string;
/**
 * Returns true when entityId is not set, is set to default value, or is duplicated (other node already has this entityId)
 */
export declare function isInvalidEntityId({ doc, node, defaultId, }: {
    doc: Node;
    node: Node;
    defaultId: string;
}): boolean;
